## CamelMimeFilterIndex CamelMimeFilterIndex |

## Functions

CamelMimeFilter * | camel_mime_filter_index_new ()
void | camel_mime_filter_index_set_name ()
void | camel_mime_filter_index_set_index ()

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterIndex

## Description

## Functions

### camel_mime_filter_index_new ()

    CamelMimeFilter *
    camel_mime_filter_index_new (CamelIndex *index);

Create a new CamelMimeFilterIndex based on `index` .

#### Parameters

index | a CamelIndex object |

#### Returns

a new CamelMimeFilterIndex object

### camel_mime_filter_index_set_name ()

    void
    camel_mime_filter_index_set_name (CamelMimeFilterIndex *filter,
                                      CamelIndexName *name);

Set the match name for any indexed words.

#### Parameters

filter | a CamelMimeFilterIndex object |
name | a CamelIndexName object |

### camel_mime_filter_index_set_index ()

    void
    camel_mime_filter_index_set_index (CamelMimeFilterIndex *filter,
                                       CamelIndex *index);

Set `index` on `filter` .

#### Parameters

filter | a CamelMimeFilterIndex object |
index | a CamelIndex object |

## Types and Values